org.apache.lucene.analysis.uima.ae

## Class OverridingParamsAEProvider

- java.lang.Object
- - org.apache.lucene.analysis.uima.ae.BasicAEProvider
  - - org.apache.lucene.analysis.uima.ae.OverridingParamsAEProvider

All Implemented Interfaces:
  AEProvider

    public class OverridingParamsAEProvider
    extends BasicAEProvider

`AEProvider` implementation that creates an Aggregate AE from the given path, also injecting runtime parameters defined in the solrconfig.xml Solr configuration file and assigning them as overriding parameters in the aggregate AE

### Constructor Summary

Constructors
Constructor and Description
`OverridingParamsAEProvider(String aePath, Map<String,Object> runtimeParameters)`

### Method Summary

Methods
`protected void` `configureDescription(org.apache.uima.analysis_engine.AnalysisEngineDescription description)`

### Methods inherited from class org.apache.lucene.analysis.uima.ae.BasicAEProvider

`getAE`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### OverridingParamsAEProvider

    public OverridingParamsAEProvider(String aePath,
                              Map<String,Object> runtimeParameters)

### Method Detail

#### configureDescription

    protected void configureDescription(org.apache.uima.analysis_engine.AnalysisEngineDescription description)

Overrides:
  `configureDescription` in class `BasicAEProvider`